GET/v3/live/vendorgraphics/product-catalog/products
Fetch products
Returns products with cursor-based pagination, sorted deterministically by product ID. Maximum of 250 products per page.
Query parameters
- cursorstringOptionalCursor for pagination. Use the cursor value from the previous response to get more results.
- limitinteger (int32)OptionalMaximum number of results to return (default: 100, max: 250)
- Headers
x-api-keyRequired · API key for authentication
Response
- productsobject[]List of products
- categoryIdsstring[]IDs of categories this product belongs to
- descriptionstringProduct description
- idstringAggKnowledge product ID
- namestringProduct name
- vendorAggkCompanyIdstringAggKnowledge company ID of the vendor offering this product
- cursorstringCursor for pagination. Use this value as the cursor parameter in the next request to get more results.